rem Set the path to the property file; if they reside elsewhere, change the next line
SET PROPERTYFILEDIR=..\WEB-INF
rem Path to jar files; if they reside elsewhere, change the next line
SET JARFILEDIR=..\WEB-INF\lib
rem Path to JDBC driver jar file; if this resides elsewhere or you'd like
rem to use another one, change the next line
SET JDBCDRIVERJAR=%JARFILEDIR%\mysql.jar
rem Paths to Xerces jar files; if they reside elsewhere or you'd like
rem to use other ones, change the next line(s). Note: the Xerces version must
rem be at least 2.1.0!
SET XERCESJAR1=%JARFILEDIR%\xercesImpl.jar
SET XERCESJAR2=%JARFILEDIR%\xmlParserAPIs.jar
rem If you're using another servlet runner than Tomcat or Catalina, change the next line.
rem Either you download Tomcat or Catalina and extract servlet.jar into any directory
rem given below or you locate the servlet API jar of your servlet runner and set its path
rem to next line.
rem If set, the value must include the jar file name!
SET SERVLETJAR=
rem The look'n'feel library used by the setup application.
SET KUNSTSTOFFJAR=%JARFILEDIR%\kunststoff.jar


IF EXIST %PROPERTYFILEDIR% goto set_jarfiledir
SET ERRORLEVEL=1
echo   The path you provided for the property file directory isn't valid!
goto END

:set_jarfiledir
IF EXIST %JARFILEDIR% goto set_kunststoffjar
SET ERRORLEVEL=1
echo   The path you provided for the FileLister jar file directory isn't valid!
goto END

:set_kunststoffjar
IF EXIST %KUNSTSTOFFJAR% goto set_jdbcdriverjar
SET ERRORLEVEL=1
echo   The path you provided for the Kunststoff look'n'feel jar file isn't valid!
goto END

:set_jdbcdriverjar
IF EXIST %JDBCDRIVERJAR% goto set_xercesjar1
SET ERRORLEVEL=1
echo   The path you provided for the JDBC driver jar file isn't valid!
goto END

:set_xercesjar1
IF EXIST %XERCESJAR1% goto set_xercesjar2
SET ERRORLEVEL=1
echo   The path you provided for the first Xerces jar file isn't valid!
goto END

:set_xercesjar2
IF EXIST %XERCESJAR2% goto set_servletjar
SET ERRORLEVEL=1
echo   The path you provided for the second Xerces jar file isn't valid!
goto END

:set_servletjar
IF "x%SERVLETJAR%" == "x" goto check_catalina_home
IF EXIST %SERVLETJAR% goto check_java_home
SET ERRORLEVEL=1
echo   The path you provided for the serlvet jar isn't valid!
goto END

rem ------------------- start of FileLister application execution --------------------
rem Look for CATALINA_HOME environment variable
:check_catalina_home
IF "%CATALINA_HOME%" == "" goto use_tomcat_servet_jar
SET SERVLETJAR=%CATALINA_HOME%\common\lib\servlet.jar
IF EXIST %SERVLETJAR% goto check_java_home
SET ERRORLEVEL=1
echo   CATALINA_HOME is set but Catalina's directory structure seems to be invalid!
echo   Do you have a working Catalina installation? Or are there spaces in the paths
echo   of the CATALINA_HOME variable?
goto END

:use_tomcat_servet_jar
rem Look for TOMCAT_HOME environment variable
IF "%TOMCAT_HOME%" == "" goto tomcat_and_catalina_error
SET SERVLETJAR=%TOMCAT_HOME%\lib\common\servlet.jar
IF EXIST %SERVLETJAR% goto check_java_home
SET ERRORLEVEL=1
echo   TOMCAT_HOME is set but Tomcat's directory structure seems to be invalid!
echo   Do you have a working Tomcat installation? Or are there spaces in the paths
echo   of the TOMCAT_HOME variable?
goto END

:check_java_home
rem Look for JAVA_HOME environment variable
IF "%JAVA_HOME%" == "" goto java_error
goto set_successful

:java_error
echo   Environment variable "JAVA_HOME" is not set!
echo   This setting is necessary for the "java.exe" executable.
SET ERRORLEVEL=2
goto END

:tomcat_and_catalina_error
echo   Neither of the "TOMCAT_HOME" and the "CATALINA_HOME" environment variables are set!
echo   At least one of them is required to find the "servlet.jar" library.
echo   Do you have a working Tomcat or Catalina installation?
SET ERRORLEVEL=2
goto END

:set_successful
set ERRORLEVEL=0

rem Set the full classpath for FileLister's applications
set FILELISTERCLASSPATH=%JARFILEDIR%\filelister-0.5.1.jar
set FILELISTERCLASSPATH=%FILELISTERCLASSPATH%;%JARFILEDIR%\util-1.1.jar
set FILELISTERCLASSPATH=%FILELISTERCLASSPATH%;%KUNSTSTOFFJAR%
set FILELISTERCLASSPATH=%FILELISTERCLASSPATH%;%XERCESJAR1%
set FILELISTERCLASSPATH=%FILELISTERCLASSPATH%;%XERCESJAR2%
set FILELISTERCLASSPATH=%FILELISTERCLASSPATH%;%SERVLETJAR%
set FILELISTERCLASSPATH=%FILELISTERCLASSPATH%;%JDBCDRIVERJAR%
set JARFILEDIR=
set XERCESJARS=
set SERVLETJAR=
set JDBCDRIVERJAR=
goto END

:END