<%@page language="java" import="org.alltimeflashdreamer.filelister.*,org.alltimeflashdreamer.util.StringUtils" %>
<%
	FileListerConfig fileListerConfig = FileListerFactory.getFileListerConfig( request );
	try {
		if ( PoolHandler.getPool() == null )
		    throw new NullPointerException();
		DefineSearchParameters dsp = fileListerConfig.getDefineSearchParameters();
%>
<html>

	<head>
		<meta http-equiv="content-type" content="text/html;charset=iso-8859-1" />
		<meta http-equiv="author" content="Florian Steinsiepe, Adrian Zaugg" />
		<meta http-equiv="description" content="FileLister: Indexing and searching the file system using the web browser" />
		<meta http-equiv="keywords" content="file listing, indexing file system, search through web browser, Java Servlets, JSP, XHTML" />
		<meta http-equiv="Content-Style-Type" content="text/html" />
		<meta http-equiv="expires" content="0" />
		<link rel="icon" href="images/filelister.ico" type="image/ico" />
		<link rel="shortcut icon" href="images/filelister.ico" />
		<link rel="stylesheet" type="text/css" href="filelister.css" />
		<title>FileLister: Define Search Configuration - All Time Flash Dreamer</title>
	</head>
	<script language="JavaScript">
	    function doModeChange()
		{
		    document.inputform.action = '<%= fileListerConfig.getRequestURL( true ) %>&mode=<%= JSPMethods.getModeDescriptor( fileListerConfig ) %>';
			//DEBUG: alert( 'New form action: ' + document.inputform.action );
			document.inputform.submit();
		}
	</script>

	<body text="black">
		<center>
			<table border="0" cellpadding="" cellspacing="0" width="90%">
			    <tr>
				    <td width="100%" align="right">
					    <img src="<%= JSPMethods.getImageSrc( "logo" ) %>" alt="FileLister">
					</td>
				</tr>
			</table>
			<p><form action="<%= fileListerConfig.getRequestURL( false ) %>" method="post" name="inputform">
				<table border="0" cellpadding="5" cellspacing="0" width="90%">
					<tr>
						<th width="40%" class="THC" align="left"><font class="AF">Search what:</font></th>
						<th width="35%" class="THC">&nbsp;</th>
						<td width="25%" class="THC" align="right"><font class="AF3"><span onClick="doModeChange();" class="CC"><%= ( fileListerConfig.isAdvancedSearch() ) ? "Simple Search" :"Advanced Search" %></span></font></td>
					</tr>
					<tr>
						<td align="left" height="80" valign="middle"><font class="AF"><input type="text" name="searchwhat" size="24" onFocus="javascript:this.select();" value="<%= ( dsp.isSearchAgain() ) ? dsp.getSearchString() : "" %>" /></font></td>
						<td align="left" colspan="2" valign="middle"><font class="AF2"><input type="checkbox" name="casesensitive" value="true"<%= ( dsp.isCaseSensitiveSearch() ) ? " checked=\"on\"" : "" %> />Case sensitive</font><br />
							<font class="AF2"><input type="checkbox" name="exactmatch" value="true"<%= ( dsp.isExactMatch() ) ? " checked=\"on\"" : "" %> />Exact match</font><br />
							<font class="AF2"><input type="checkbox" name="useregexp" value="true"<%= ( dsp.isUsingRegExp() ) ? " checked=\"on\"" : "" %> />Use Regular Expressions&nbsp;&nbsp;<a href="<%= fileListerConfig.getRegExpHelpLink() %>" target="_blank">(don't know regexp...?)</a></font>
						</td>
					</tr>
					<tr>
						<th class="THC" align="left"><font class="AF">Search in:</font></th>
						<th class="THC">&nbsp;</th>
						<th class="THC">&nbsp;</th>
					</tr>
					<tr>
						<td align="left" height="<%= ( fileListerConfig.isAdvancedSearch() ) ? 60 : 80 %>" valign="middle"><font class="AF"><input type="text" name="directory" size="24" value="<%= ( dsp.isSearchWithinResults() || dsp.isSearchAgain() ) ? fileListerConfig.getSearchDirectory() : "" %>" onFocus="javascript:this.select();"<%= ( dsp.isSearchWithinResults() ) ? "disabled=\"on\"" :"" %> /></font></td>
						<td align="left" colspan="2" valign="middle"><font class="AF2">path may be absolute or relative to the virtual root, if defined; results include subdirectories</font></td>
					</tr>
					<%  //show the next two table rows only if the search mode is set to "advanced"
					    if ( fileListerConfig.isAdvancedSearch() ) { %>
					<tr>
						<th class="THC" align="left"><font class="AF">Search by size:</font></th>
						<th class="THC" align="left"><font class="AF">Search by modification date:</font></th>
						<th class="THC" align="left"><font class="AF">Sort by:</font></th>
					</tr>
					<tr>
						<td align="left" nowrap="on">
							<font class="AF2"><input type="text" name="size_min" size="4" maxlength="20" onFocus="javascript:this.select();" value="<%= ( dsp.isSearchAgain() ) ? dsp.getMinimumSizeOutput() : "" %>" />
							<select name="size_min_multiplier"><%= dsp.getMinimumMultiplierOutput() %></select> lower limit<br />
							<input type="text" name="size_max" size="4" maxlength="20" onFocus="javascript:this.select();" value="<%= ( dsp.isSearchAgain() ) ? dsp.getMaximumSizeOutput() : "" %>" />
							<select name="size_max_multiplier"><%= dsp.getMaximumMultiplierOutput() %></select> upper limit<br /><br />
							&nbsp;</font>
						</td>
						<td align="left" nowrap="on">
							<font class="AF2"><input type="text" name="startingdate" size="10" maxlenght="10" value="<%= ( dsp.isSearchAgain() ) ? dsp.getStartingDateOutput() : "" %>" onFocus="javascript:this.select();"> starting date</font><br />
							<font class="AF2"><input type="text" name="endingdate" size="10" maxlenght="10" value="<%= ( dsp.isSearchAgain() ) ? dsp.getEndingDateOutput() : "" %>" onFocus="javascript:this.select();"> ending date</font><br /><br />
							<font class="AF2">input format: mm/dd/(yy)yy or dd.mm.(yy)yy</font>
						</td>
						<td align="left" nowrap="on"><font class="AF2">
							  1.&nbsp;<select name="sort1"><%= fileListerConfig.getSortOrderOutput( 1 ) %></select><br />
							  2.&nbsp;<select name="sort2"><%= fileListerConfig.getSortOrderOutput( 2 ) %></select><br />
							  3.&nbsp;<select name="sort3"><%= fileListerConfig.getSortOrderOutput( 3 ) %></select><br />
							  4.&nbsp;<select name="sort4"><%= fileListerConfig.getSortOrderOutput( 4 ) %></select><br />
							  5.&nbsp;<select name="sort5"><%= fileListerConfig.getSortOrderOutput( 5 ) %></select></font>
						</td>
					</tr>
					<% } %>
					<tr>
						<th width="34%" class="THC" align="left"><font class="AF">Find entries:</font></th>
						<th width="33%" class="THC" align="left"><font class="AF">Search mode:</font></th>
						<th width="33%" class="THC">&nbsp;</th>
					</tr>
					<tr>
						<td align="left" valign="top">
							<font class="AF2"><input type="radio" value="both" name="searchwhere"<%= ( dsp.isListingAllTypes() ) ? " checked=\"on\"" : "" %> />&nbsp;All</font><br />
							<font class="AF2"><input type="radio" value="files" name="searchwhere"<%= ( dsp.isListingFilesOnly() ) ? " checked=\"on\"" : "" %> />&nbsp;Files only</font><br />
							<font class="AF2"><input type="radio" value="directories" name="searchwhere"<%= ( dsp.isListingDirectoriesOnly() ) ? " checked=\"on\"" : "" %> />&nbsp;Directories only</font>
						</td>
						<td align="left" valign="top">
							<font class="AF2"><input type="radio" value="archive" name="searchmode"<%= ( fileListerConfig.isArchiveMode() ) ? " checked=\"on\"" : "" %> />&nbsp;Index search (fast)</font><br />
							<font class="AF2"><%= ( dsp.isSearchWithinResults() ) ? "&nbsp;" : "<input type=\"radio\" value=\"directory\" name=\"searchmode\"" + ( ( !fileListerConfig.isArchiveMode() ) ? " checked=\"on\"" : "" ) + " />&nbsp;Directory search (slow)" %></font>
						</td>
						<td valign="top"><font class="AF2">index search reads the pregenerated index<%= ( dsp.isSearchWithinResults() ) ? "" : ", directory mode rescans the file system" %></font></td>
					</tr>
				</table>
				<table border="0" cellpadding="5" cellspacing="0" width="90%">
				    <tr>
						<td height="<%= ( fileListerConfig.isAdvancedSearch() ) ? 50 : 80 %>" width="33%" align="left" valign="bottom">&nbsp;</dd>
						<td width="34%" align="center" valign="bottom">
							<input type="image" name="startsearch" src="<%= JSPMethods.getImageSrc( "startsearch" ) %>" alt="Start Search" />
						</td>
						<td width="33%" align="right" valign="middle">
							<font class="AF2"><%= ( fileListerConfig.isAdvancedSearch() ) ? "" : "&nbsp;<br/>" %><i><%= fileListerConfig.getVersion() %></i></font>
						</td>
					</tr>
				</table>
				<input type="hidden" name="definesearch" value="true" />
				<input type="hidden" name="timestamp" value="<%= System.currentTimeMillis() %>" />
				<input type="hidden" name="search" value="<%= fileListerConfig.getSearchType() %>" />
				<input type="hidden" name="window" value="<%= "" + fileListerConfig.getWindowID() %>" />
			</form></p>
		</center>
	</body>
	<script language="JavaScript">
		document.inputform.searchwhat.focus();
	</script>
</html>
<%
	} catch ( NullPointerException npe ) {
	    //if called illegally or after session timeout, redirect to application entry directory
		FileListerFactory.redirectToAppRoot( response );
	} catch ( FileListerException fle ) {
		//show the error site, if possible (i.e. fileListerConfig is not null, but this
		//should already have been handled above)
		AbstractFileListerServlet.showErrorSite( fle, response, fileListerConfig );
	}
%>