package org.alltimeflashdreamer.filelister.gui;

import javax.swing.JTextArea;

/**
 * <p>
 *
 * Title: FileLister</p> <p>
 *
 * Description: </p> <p>
 *
 * Organization: All Time Flash Dreamer</p> <p>
 *
 * </p>
 *
 * @author    Copyright (c) 2002-2004 by <a href="mailto:florian@steinsiepe.ch">Florian
 *      Steinsiepe</a>
 * @version   0.5.1
 */

public class FileListerTextArea extends JTextArea
{
    private String[] sDescriptions;

    /** Constructor initializes the textarea's GUI settings. */
    public FileListerTextArea()
    {
        setBackground( SetupFrame.BGCOLOR_2 );
        setEditable( false );
        setFont( SetupFrame.FONT_PLAIN );
        setText( "" );
        setLineWrap( true );
        setWrapStyleWord( true );
    }

    /**
     * Sets the list of descriptions for use in the setDescription(int) method.
     *
     * @param sDescriptions  the list of descriptions in the correct order
     */
    void setDescriptions( String[] sDescriptions )
    {
        this.sDescriptions = sDescriptions;
    }

    /**
     * Tells the text area to show the description having the given index.
     *
     * @param iIndex  the index of the description to be shown
     */
    void setDescription( int iIndex )
    {
        setText( sDescriptions[iIndex] );
    }
}
